Summary: SANE -- Easy local and networked scanner access
Name: sane
Version: 0.68
Release: 1
Copyright: GPL (programs), relaxed LGPL (libraries), and public domain (docs)
Group: X11/Applications/Graphics
Source: ftp://ftp.mostang.com/pub/sane/sane-0.68.tar.gz
Provides: libsane.so.0

%description
SANE (Scanner Access Now Easy) is a sane and simple interface to both
local and networked scanners and other image acquisition devices like
digital still and video cameras.  SANE currently includes modules for
accessing Epson, HP, Microtek, Mustek, PINT and UMAX scanners, Color
QuickCams, and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

%package devel
Summary: SANE (Scanner Access Now Easy) development toolkit
Group: X11/Applications/Graphics
%description devel
Static libraries and header files for writing SANE modules.

%prep
%setup
#%patch -p1 -b .lpath

%build
./configure --prefix=/usr --sysconfdir=/etc
make CFLAGS=-O2
(cd doc
 make docs
)

%install
rm -rf /etc/sane.d
make install
mv /usr/sbin/saned /usr/sbin/in.saned

# fix ldconfig brokenness...
(cd /usr/lib
 ln -s libsane-dll.la libsane.la
 rm libsane-dll.so
 ln -s libsane-dll.so.0 libsane-dll.so
 rm libsane-epson.so
 ln -s libsane-epson.so.0 libsane-epson.so
 rm libsane-hp.so
 ln -s libsane-hp.so.0 libsane-hp.so
 rm libsane-microtek.so
 ln -s libsane-microtek.so.0 libsane-microtek.so
 rm libsane-mustek.so
 ln -s libsane-mustek.so.0 libsane-mustek.so
 rm libsane-net.so
 ln -s libsane-net.so.0 libsane-net.so
 rm libsane-pnm.so
 ln -s libsane-pnm.so.0 libsane-pnm.so
# rm libsane-pint.so
# ln -s libsane-pint.so.0 libsane-pint.so
 rm libsane-qcam.so
 ln -s libsane-qcam.so.0 libsane-qcam.so
)
/sbin/ldconfig

%post
/sbin/ldconfig
# if gimp is installed, install xscan as an extension with a symlink
# This probably wants RPM triggers to work right.

%files
%config /etc/sane.d/*
/usr/bin/scanimage
/usr/bin/xscanimage
/usr/bin/xcam
/usr/sbin/in.saned
/usr/lib/libsane-dll.la
/usr/lib/libsane-dll.so
/usr/lib/libsane-dll.so.0.0.68
/usr/lib/libsane-epson.la
/usr/lib/libsane-epson.so
/usr/lib/libsane-epson.so.0.0.68
/usr/lib/libsane-hp.la
/usr/lib/libsane-hp.so
/usr/lib/libsane-hp.so.0.0.68
/usr/lib/libsane-microtek.la
/usr/lib/libsane-microtek.so
/usr/lib/libsane-microtek.so.0.0.68
/usr/lib/libsane-mustek.la
/usr/lib/libsane-mustek.so
/usr/lib/libsane-mustek.so.0.0.68
/usr/lib/libsane-net.la
/usr/lib/libsane-net.so
/usr/lib/libsane-net.so.0.0.68
/usr/lib/libsane-pnm.la
/usr/lib/libsane-pnm.so
/usr/lib/libsane-pnm.so.0.0.68
#/usr/lib/libsane-pint.la
#/usr/lib/libsane-pint.so
#/usr/lib/libsane-pint.so.0.0.68
/usr/lib/libsane-qcam.la
/usr/lib/libsane-qcam.so
/usr/lib/libsane-qcam.so.0.0.68
/usr/lib/libsane.so
/usr/lib/libsane.so.0.0.68
%doc doc/*.ps doc/sane doc/icons
/usr/man/man1/saned.1
/usr/man/man1/scanimage.1
/usr/man/man1/xscanimage.1
/usr/man/man5/sane-dll.5
/usr/man/man5/sane-epson.5
/usr/man/man5/sane-hp.5
/usr/man/man5/sane-mustek.5
/usr/man/man5/sane-net.5
#/usr/man/man5/sane-pint.5
/usr/man/man5/sane-pnm.5
/usr/man/man5/sane-qcam.5
/usr/man/man5/sane-scsi.5
/usr/man/man5/sane-umax.5

%files devel
/usr/include/sane
/usr/lib/libsane-dll.a
/usr/lib/libsane-epson.a
/usr/lib/libsane-hp.a
/usr/lib/libsane-net.a
/usr/lib/libsane-mustek.a
/usr/lib/libsane-microtek.a
/usr/lib/libsane-pnm.a
#/usr/lib/libsane-pint.a
/usr/lib/libsane-qcam.a
/usr/lib/libsane.a
